package lib;

/**
 *
 * @author maxio
 */
public class clsPersonas implements IElemento{
    /**
     * Clave de la tabla
     */
    public int IdPersona;
    /**
     * Apellidos de la Persona
     */
    public String Apellidos;
    /**
     * Nombres de la Persona
     */
    public String Nombres;
    /**
     * Correo electrónico de la persona
     */
    public String Email;
    
    /**
     * Cosntructor de la clase para una persona nueva. Pone valores por defecto.
     */
    public clsPersonas(){
        IdPersona=0;
        Apellidos="<Ingrese el apellido>";
        Nombres="<Ingrese el nombre>";
        Email="<Ingrese el correo electrónico>";
    }
    
    /**
     * Constructor de la clase para una persona existente. Pone valores de la BD.
     * @param id int. Valor de la clave para ese registro.
     */
    public clsPersonas(int id){
        IdPersona=id;
        Apellidos="apellido" + String.valueOf(id);
        Nombres="nombre" + String.valueOf(id);
        Email="correo" + String.valueOf(id) + "@gmalo.com";
    }
    
/*Esto sirve para que en la lista aparezca el nombre y
 * no la dirección de memoria del objeto*/
    @Override
    public String toString(){
        return Nombres + " " + Apellidos;
    }

    @Override
    public int dameId() {
        return IdPersona;
    }
}
