package lib;

/**
 *
 * @author maxio
 */
public class clsRubros implements IElemento{
    /**
     * Clave de la tabla
     */
    public int IdRubro;
    /**
     * Nombre del rubro
     */
    public String Rubro;
    
    /**
     * Cosntructor de la clase para un rubro nuevo. Pone valores por defecto.
     */
    public clsRubros(){
        this.IdRubro=0;
        Rubro="";
    }
    
    /**
     * Constructor de la clase para un rubro existente. Pone valores de la BD.
     * @param id int. Valor de la clave para ese registro.
     */
    public clsRubros (int id){
        this.IdRubro=id;
        Rubro="Rubro" + String.valueOf(id);
    }
/*Esto sirve para que en la lista aparezca el nombre y
 * no la dirección de memoria del objeto*/
    @Override
    public String toString(){
        return Rubro;
    }

    @Override
    public int dameId() {
        return IdRubro;
    }
}
